version: 1.7.0-beta.2
files:
  - url: Cherry-Studio-1.7.0-beta.2-x86_64.AppImage
    sha512: GI8faj6aQ3zfucG7C62OKj+ezkNwFOU2Gy4EIZbK/tMcApOQMiHx26CENScA84YCU0lsGYbOOnWcwUTDrniZEQ==
    size: 169317372
    blockMapSize: 177168
  - url: Cherry-Studio-1.7.0-beta.2-amd64.deb
    sha512: X/XyzAue8r+CicZdjpPpJctrRlvRyXTHzW1U4S85FjvsfTSXizYzuBIRa/KVWeCJ83eHRDOuRKd0DwMlQ2fThA==
    size: 119940550
  - url: Cherry-Studio-1.7.0-beta.2-x86_64.rpm
    sha512: nBNgS+EzQmtqU9TcIRDF6/NqgiBhSfo3K9x3i3sfI+iLyRwmRmFhuOgd1LE/THXP3c30rVyeZjFDqL52EAWrEA==
    size: 111284801
path: Cherry-Studio-1.7.0-beta.2-x86_64.AppImage
sha512: GI8faj6aQ3zfucG7C62OKj+ezkNwFOU2Gy4EIZbK/tMcApOQMiHx26CENScA84YCU0lsGYbOOnWcwUTDrniZEQ==
releaseNotes: |
  <!--LANG:en-->
  What's New in v1.7.0-beta.2

  New Features:
  - Session Settings: Manage session-specific settings and model configurations independently
  - Notes Full-Text Search: Search across all notes with match highlighting
  - Built-in DiDi MCP Server: Integration with DiDi ride-hailing services (China only)
  - Intel OV OCR: Hardware-accelerated OCR using Intel NPU
  - Auto-start API Server: Automatically starts when agents exist

  Improvements:
  - Agent model selection now requires explicit user choice
  - Added Mistral AI provider support
  - Added NewAPI generic provider support
  - Improved navbar layout consistency across different modes
  - Enhanced chat component responsiveness
  - Better code block display on small screens
  - Updated OVMS to 2025.3 official release
  - Added Greek language support

  Bug Fixes:
  - Fixed GitHub Copilot gpt-5-codex streaming issues
  - Fixed assistant creation failures
  - Fixed translate auto-copy functionality
  - Fixed miniapps external link opening
  - Fixed message layout and overflow issues
  - Fixed API key parsing to preserve spaces
  - Fixed agent display in different navbar layouts

  <!--LANG:zh-CN-->
  v1.7.0-beta.2 新特性

  新功能:
  - 会话设置：独立管理会话特定的设置和模型配置
  - 笔记全文搜索：跨所有笔记搜索并高亮匹配内容
  - 内置滴滴 MCP 服务器：集成滴滴打车服务(仅限中国地区)
  - Intel OV OCR：使用 Intel NPU 的硬件加速 OCR
  - 自动启动 API 服务器：当存在 Agent 时自动启动

  改进:
  - Agent 模型选择现在需要用户显式选择
  - 添加 Mistral AI 提供商支持
  - 添加 NewAPI 通用提供商支持
  - 改进不同模式下的导航栏布局一致性
  - 增强聊天组件响应式设计
  - 优化小屏幕代码块显示
  - 更新 OVMS 至 2025.3 正式版
  - 添加希腊语支持

  问题修复:
  - 修复 GitHub Copilot gpt-5-codex 流式传输问题
  - 修复助手创建失败
  - 修复翻译自动复制功能
  - 修复小程序外部链接打开
  - 修复消息布局和溢出问题
  - 修复 API 密钥解析以保留空格
  - 修复不同导航栏布局中的 Agent 显示
  <!--LANG:END-->
releaseDate: '2025-10-18T03:22:33.563Z'
